# Retrieve an Activity Log

Retrieve an activity log.

## Request

```curl
curl https://api.stripe.com/v2/iam/activity_logs/accact_1SdeybAiQNL8swvtMHyVtfCU \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.preview" \
  -H "Stripe-Context: {{CONTEXT}}"
```

### Response

```json
{
  "id": "accact_1SdeybAiQNL8swvtMHyVtfCU",
  "object": "v2.iam.activity_log",
  "created": "2026-04-01T00:00:00.000Z",
  "type": "api_key_created",
  "livemode": true,
  "context": "acct_1SdeybAiQNL8swvt",
  "actor": {
    "type": "user",
    "user": {
      "email": "user@example.com"
    }
  },
  "details": {
    "type": "api_key",
    "api_key": {
      "id": "mk_1SdeybAiQNL8swvtMHyVtfCU",
      "created": "2026-04-01T00:00:00.000Z",
      "type": "secret_key",
      "name": "My API Key",
      "note": "",
      "expires_at": null,
      "ip_allowlist": [],
      "new_key": null,
      "managed_by": null
    }
  }
}
```

## Returns

Returns an [Activity Log object](https://docs.stripe.com/api/v2/iam/activity-logs/object.md?api-version=2026-07-29.preview).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
